Subject: Re: "Segmentation fault" CygWin tools with code Injection-MS Detours
From: Louis Lecaroz <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Aug 2005 15:35:34 +0200

Thank's you Eric for your quick answer...
But I have many questions for you...  :
Eric Blake wrote:

>And what's wrong with cygwin's strace tool?
>  
>
Does the strace tool working with standard Win32 tools.  Because I need 
a generic tool tracing file accesses on CygWin+Win32 native tools (not 
only CygWin programs using cygwin.dll).
I tried or C:\cygwin\bin>strace --trace-children --mask=all --pid=5012  
(5012 was the windows pid of a windows cmd.exe instance) 
C:\cygwin\bin>strace --trace-children --mask=all cmd.exe
But At anytime, something was appearing in strace or in the log file (I 
tried also with the --output but nothing !
I tried with ls.exe & strace works. So my (personal ;) ) conclusion, is 
strace cannot track file accesses on all executables, only cygwin 
executable :(

>>******************************* Example
>>C:\cygwin>cygwin
>>bash: [: =: unary operator expected
>>    
>>
>
>Hmm, you probably ought to fix your startup scripts to not cause an error.
>  
>
I think this is due because bash execute at sometimes others instances 
of bash (looking to my truss log file)

>  
>
>>Looking to the truss debugging log we have :
>>******************************* Truss debugging log corresponding to the
>>    
>>
>
>WHOA!  Please don't include 300k of repetitive text inline.  If you think
>we really needed to see it, send it as an attachment.  But even then, you
>probably could have just summarized a relevant portion, rather than the
>entire dump.
>  
>
Really sorry.... Let me apologize.

>  
>
>>I am really ashamed not to be able to "truss" CygWin tools or standard
>>Win32 programs forked by Cygwin tools (like for exemple make spawning
>>bash).
>>    
>>
>
>Again, the strace tool already shipped with cygwin does just that.
>  
>
Yes, ok, but so, how to trace cygwin+native Win32 program together ?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/